<Type Name="SqlDateTime" FullName="System.Data.SqlTypes.SqlDateTime">
  <TypeSignature Language="C#" Value="public sealed struct SqlDateTime;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.ValueType</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Data.SqlTypes.INullable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IComparable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="SQLTicksPerSecond">
      <MemberSignature Language="C#" Value="public static int SQLTicksPerSecond;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SQLTicksPerMinute">
      <MemberSignature Language="C#" Value="public static int SQLTicksPerMinute;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SQLTicksPerHour">
      <MemberSignature Language="C#" Value="public static int SQLTicksPerHour;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MinValue">
      <MemberSignature Language="C#" Value="public static SqlDateTime MinValue;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlDateTime</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MaxValue">
      <MemberSignature Language="C#" Value="public static SqlDateTime MaxValue;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlDateTime</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Null">
      <MemberSignature Language="C#" Value="public static SqlDateTime Null;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlDateTime</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Parse">
      <MemberSignature Language="C#" Value="public static SqlDateTime Parse (string s);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlDateTime</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="s" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="s">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public static SqlBoolean Equals (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NotEquals">
      <MemberSignature Language="C#" Value="public static SqlBoolean NotEquals (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LessThan">
      <MemberSignature Language="C#" Value="public static SqlBoolean LessThan (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GreaterThan">
      <MemberSignature Language="C#" Value="public static SqlBoolean GreaterThan (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LessThanOrEqual">
      <MemberSignature Language="C#" Value="public static SqlBoolean LessThanOrEqual (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GreaterThanOrEqual">
      <MemberSignature Language="C#" Value="public static SqlBoolean GreaterThanOrEqual (SqlDateTime x, SqlDateTime y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlBoolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="x" Type="System.Data.SqlTypes.SqlDateTime" />
		<Parameter Name="y" Type="System.Data.SqlTypes.SqlDateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="x">To be added: an object of type 'SqlDateTime'</param>
        <param name="y">To be added: an object of type 'SqlDateTime'</param>
        <returns>To be added: an object of type 'SqlBoolean'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CompareTo">
      <MemberSignature Language="C#" Value="public virtual int CompareTo (object value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHashCode">
      <MemberSignature Language="C#" Value="public virtual int GetHashCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public virtual bool Equals (object value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ToString">
      <MemberSignature Language="C#" Value="public virtual string ToString ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ToSqlString">
      <MemberSignature Language="C#" Value="public SqlString ToSqlString ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.SqlTypes.SqlString</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'SqlString'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (DateTime value);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="value" Type="System.DateTime" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'DateTime'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (int year, int month, int day);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="year" Type="System.Int32" />
		<Parameter Name="month" Type="System.Int32" />
		<Parameter Name="day" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="year">To be added: an object of type 'int'</param>
        <param name="month">To be added: an object of type 'int'</param>
        <param name="day">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (int year, int month, int day, int hour, int minute, int second);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="year" Type="System.Int32" />
		<Parameter Name="month" Type="System.Int32" />
		<Parameter Name="day" Type="System.Int32" />
		<Parameter Name="hour" Type="System.Int32" />
		<Parameter Name="minute" Type="System.Int32" />
		<Parameter Name="second" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="year">To be added: an object of type 'int'</param>
        <param name="month">To be added: an object of type 'int'</param>
        <param name="day">To be added: an object of type 'int'</param>
        <param name="hour">To be added: an object of type 'int'</param>
        <param name="minute">To be added: an object of type 'int'</param>
        <param name="second">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (int year, int month, int day, int hour, int minute, int second, double millisecond);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="year" Type="System.Int32" />
		<Parameter Name="month" Type="System.Int32" />
		<Parameter Name="day" Type="System.Int32" />
		<Parameter Name="hour" Type="System.Int32" />
		<Parameter Name="minute" Type="System.Int32" />
		<Parameter Name="second" Type="System.Int32" />
		<Parameter Name="millisecond" Type="System.Double" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="year">To be added: an object of type 'int'</param>
        <param name="month">To be added: an object of type 'int'</param>
        <param name="day">To be added: an object of type 'int'</param>
        <param name="hour">To be added: an object of type 'int'</param>
        <param name="minute">To be added: an object of type 'int'</param>
        <param name="second">To be added: an object of type 'int'</param>
        <param name="millisecond">To be added: an object of type 'double'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (int year, int month, int day, int hour, int minute, int second, int bilisecond);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="year" Type="System.Int32" />
		<Parameter Name="month" Type="System.Int32" />
		<Parameter Name="day" Type="System.Int32" />
		<Parameter Name="hour" Type="System.Int32" />
		<Parameter Name="minute" Type="System.Int32" />
		<Parameter Name="second" Type="System.Int32" />
		<Parameter Name="bilisecond" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="year">To be added: an object of type 'int'</param>
        <param name="month">To be added: an object of type 'int'</param>
        <param name="day">To be added: an object of type 'int'</param>
        <param name="hour">To be added: an object of type 'int'</param>
        <param name="minute">To be added: an object of type 'int'</param>
        <param name="second">To be added: an object of type 'int'</param>
        <param name="bilisecond">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SqlDateTime (int dayTicks, int timeTicks);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="dayTicks" Type="System.Int32" />
		<Parameter Name="timeTicks" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dayTicks">To be added: an object of type 'int'</param>
        <param name="timeTicks">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'SqlDateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsNull">
      <MemberSignature Language="C#" Value="public virtual bool IsNull { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Value">
      <MemberSignature Language="C#" Value="public DateTime Value { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.DateTime</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DayTicks">
      <MemberSignature Language="C#" Value="public int DayTicks { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="TimeTicks">
      <MemberSignature Language="C#" Value="public int TimeTicks { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
